package roseindia;

import java.util.Iterator;
import java.util.List;

import org.hibernate.Criteria;
import org.hibernate.HibernateException;
import org.hibernate.Session;
import org.hibernate.criterion.Order;
import org.hibernate.criterion.Restrictions;

import roseindia.bean.User;
import roseindia.util.HibernateUtil;

public class Criteria_Order_By {

	public static void main(String[] args) {

		Session session = HibernateUtil.getSessionFactory().openSession();

		User user = null;

		try {

			Criteria criteria = session.createCriteria(User.class);
			criteria.add(Restrictions.gt("empSalary", new Double(10000.0)));
			criteria.addOrder(Order.desc("expInMonth"));
			List list = criteria.list();

			Iterator itr = list.iterator();
			while (itr.hasNext()) {
				user = (User) itr.next();
				System.out.println(user);
			}

		} catch (HibernateException e) {
			e.printStackTrace();
		} catch (Exception e) {
			e.printStackTrace();
		} finally {
			session.flush();
			session.close();
		}

	}

}
